Bug 1047049 - distroverpkg default should be the same in dnf as in yum
distroverpkg default should be the same in dnf as in yum
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-28 12:48 EST by Bruno Wolff III
Modified: 2014-09-30 19:41 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-08 22:29:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2013-12-28 12:48:56 EST
Description of problem:
Yum has changed (in rawhide, 20 updates and 19 updates-testing) the default value of distroverpkg to a list: ['system-release(release)', 'redhat-release'].
The default for dnf should probably be the same to minimize confusion switching between the two. (Though in fedora there isn't likely to be an issue as redhat-release is provided and will be the same as system-release(release) if it is provided.)

Version-Release number of selected component (if applicable):
dnf-0.4.9-1.fc21.noarch
Comment 1 Bruno Wolff III 2013-12-28 15:12:14 EST
Another note about this is that dnf maintains its own version of _getsysver and hasn't changed to match yum's change to make distroverpkg a list. That would have to happen before the default can change.
Comment 2 Ales Kozumplik 2014-01-02 02:58:59 EST
It's true, this poorly planned decision was implemented in Yum (without consulting us) and we let it slide by for the time. Will keep this open but giving it a low priority for now as nobody is affected by this.
Comment 3 Ales Kozumplik 2014-06-12 04:00:22 EDT
Fixed upstream by ba54035.
Comment 4 Fedora Update System 2014-07-07 05:11:35 EDT
dnf-plugins-core-0.1.1-2.fc20, dnf-0.5.3-1.fc20, hawkey-0.4.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.5.3-1.fc20,hawkey-0.4.17-1.fc20,dnf-plugins-core-0.1.1-2.fc20
Comment 5 Fedora Update System 2014-07-07 21:03:53 EDT
Package dnf-plugins-core-0.1.1-2.fc20, dnf-0.5.3-1.fc20, hawkey-0.4.17-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.1-2.fc20 dnf-0.5.3-1.fc20 hawkey-0.4.17-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8167/dnf-0.5.3-1.fc20,hawkey-0.4.17-1.fc20,dnf-plugins-core-0.1.1-2.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-07-08 22:29:44 EDT
dnf-plugins-core-0.1.1-2.fc20, dnf-0.5.3-1.fc20, hawkey-0.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.